> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Environment

> 
Create a new deployment environment. Use to add environments beyond Freeplay defaults, like staging or feature branches.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/environments
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/environments:
    post:
      tags:
        - Configuration
      summary: Create Environment
      description: >-

        Create a new deployment environment. Use to add environments beyond
        Freeplay defaults, like staging or feature branches.
      operationId: post_create_environment
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  title: Name
                  type: string
              required:
                - name
              title: CreateEnvironmentRequest
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                required:
                  - id
                  - name
                title: EnvironmentInfo
                type: object
          description: 'EnvironmentInfo(id: uuid.UUID, name: str)'
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````